/*     */

#include "common_defs.h"

/******************************************
 *  ADC    ADC  *
 ******************************************/
void ADCInit(void)
{
   ADC_PORT_DIR  &=  ~_BV(PA6);                   //   PA6 (ADC6)   (  0) 34 
   ADMUX   = 0;
   ADCSRA &= ~_BV(ADEN);                          //   ADC
   ADCSRA |= _BV(ADEN) | _BV(ADPS2) | _BV(ADPS0); //   ADC,  ,   ADC = MCU Clock/32
}

/******************************************
 *  ADC                             *
 ******************************************/
void ADCwork(void)
{
   ADCSRA |= _BV(ADSC);                 //   
   while(bit_is_set(ADCSRA, ADSC)) {}   // ,    
}
